WPS4GraphInternal::State Struct Reference

Internal: the state of a WPS4Graph. More...

## Public Member Functions
| State ()

## Public Attributes
int | m_version
| the version
int | m_numPages
| the number page
std::map< int, WPSEmbeddedObject > | m_idToObjectMap
| the map id to objects

## Detailed Description

Internal: the state of a WPS4Graph.

## Constructor & Destructor Documentation

## ◆ State()

WPS4GraphInternal::State::State | ( |  | ) |
| inline

## Member Data Documentation

## ◆ m_idToObjectMap

std::map<int,WPSEmbeddedObject> WPS4GraphInternal::State::m_idToObjectMap

the map id to objects

Referenced by State().

## ◆ m_numPages

int WPS4GraphInternal::State::m_numPages

the number page

Referenced by State().

## ◆ m_version

int WPS4GraphInternal::State::m_version

the version

Referenced by State().

The documentation for this struct was generated from the following file:

- WPS4Graph.cpp